Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.acl
Class SSLUserInfo

    java.lang.Object
      weblogic.security.acl.DefaultUserInfoImpl
          weblogic.security.acl.SSLUserInfo

All Implemented Interfaces:
  Principal, Serializable, UserInfo

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the Pluggable Security Infrastructure.

public final class SSLUserInfo
extends DefaultUserInfoImpl

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class weblogic.security.acl.DefaultUserInfoImpl
`certificates, id, password, realmName`

Constructor Summary
`SSLUserInfo(DefaultUserInfoImpl ui)` Deprecated.

Method Summary
`boolean` | `equals(Object that)` Deprecated.
`Vector` | `getCertificates()` Deprecated.
`Vector` | `getSSLCertificates()` Deprecated.
`boolean` | `hasCertificates()` Deprecated.
`void` | `setSSLCertificates(Vector certs)` Deprecated.

Methods inherited from class weblogic.security.acl.DefaultUserInfoImpl
`equalsInAllButName, getName, getPassword, getRealmName, hashCode, hasPassword, setCredential, setName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSLUserInfo

    public SSLUserInfo(DefaultUserInfoImpl ui)

  Deprecated.

Method Detail

### equals

    public boolean equals(Object that)

  Deprecated.
  Specified by:
    `equals` in interface `Principal`
  Overrides:
    `equals` in class `DefaultUserInfoImpl`

### getCertificates

    public Vector getCertificates()

  Deprecated.
  Overrides:
    `getCertificates` in class `DefaultUserInfoImpl`

### getSSLCertificates

    public Vector getSSLCertificates()

  Deprecated.

### hasCertificates

    public boolean hasCertificates()

  Deprecated.
  Overrides:
    `hasCertificates` in class `DefaultUserInfoImpl`

### setSSLCertificates

    public void setSSLCertificates(Vector certs)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD